Subject: [ADD]امكانية الربط مع قارئ الباركود
Author: Rami Ben Hadj Ahmed
Committer: Rami Ben Hadj Ahmed

Date Level Type Message
2019-03-08 17:15:47 INFO runbot init Init build environment
2019-03-08 17:15:59 INFO runbot test_all Start test all modules
2019-03-08 17:17:01 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_translate tested in 8.28s, 25627 queries
2019-03-08 17:17:09 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_views tested in 7.57s, 4815 queries
2019-03-08 17:17:09 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 58.02s, 48233 queries
2019-03-08 17:17:31 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base_import.tests.test_base_import tested in 9.32s, 232 queries
2019-03-08 17:18:03 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_features tested in 5.00s, 4125 queries
2019-03-08 17:18:10 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_gateway tested in 5.03s, 4915 queries
2019-03-08 17:18:38 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.calendar.tests.test_calendar tested in 7.05s, 5842 queries
2019-03-08 17:18:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.event.tests.test_event_flow tested in 6.01s, 4300 queries
2019-03-08 17:19:58 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.product.tests.test_variants tested in 7.61s, 7979 queries
2019-03-08 17:21:08 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_crm_lead tested in 8.95s, 6724 queries
2019-03-08 17:21:17 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_lead2opportunity tested in 8.48s, 6739 queries
2019-03-08 17:21:43 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays.tests.test_holidays_flow tested in 10.79s, 5540 queries
2019-03-08 17:22:32 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_access_rights tested in 6.97s, 5163 queries
2019-03-08 17:22:41 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_project_flow tested in 5.03s, 3567 queries
2019-03-08 17:23:58 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_payroll.tests.test_payslip_flow tested in 6.27s, 1120 queries
2019-03-08 17:24:30 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.survey.tests.test_survey tested in 12.97s, 11746 queries
2019-03-08 17:25:32 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.purchase_request.tests.test_purchase_flow tested in 9.99s, 3386 queries
2019-03-08 17:26:44 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_attendance_extend.tests.test_authorization_flow tested in 8.17s, 1302 queries
2019-03-08 17:27:12 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation.tests.test_deputation_flow tested in 12.55s, 4024 queries
2019-03-08 17:27:39 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays_extend.tests.test_holidays_flow tested in 13.50s, 6961 queries
2019-03-08 17:28:15 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_application_constrains tested in 5.84s, 1637 queries
2019-03-08 17:28:21 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_application_flow tested in 5.64s, 2071 queries
2019-03-08 17:28:35 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_training_flow tested in 11.20s, 4683 queries
2019-03-08 17:28:46 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_training_request_flow tested in 5.48s, 2766 queries
2019-03-08 17:29:08 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project_maintenance.tests.test_project_maintenance_flow tested in 10.07s, 6324 queries
2019-03-08 17:29:47 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation_delegacy.tests.test_deputation_delegacy tested in 5.07s, 1765 queries
2019-03-08 17:30:55 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training_delegacy.tests.test_hr_training_delegacy_constrains tested in 6.26s, 1148 queries
2019-03-08 17:31:58 INFO server odoo.modules.loading:234 load_module_graph 169 modules loaded in 885.37s, 172492 queries
2019-03-08 17:32:19 INFO server odoo.modules.loading:234 load_module_graph 173 modules loaded in 20.64s, 11 queries
2019-03-08 17:32:30 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_reports tested in 8.98s, 1051 queries
2019-03-08 17:32:42 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_account_invoice_rounding tested in 5.04s, 4187 queries
2019-03-08 17:33:03 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_payment tested in 16.64s, 14518 queries
2019-03-08 17:33:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_reconciliation tested in 45.88s, 37477 queries
2019-03-08 17:34:00 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_tax tested in 6.19s, 5458 queries
2019-03-08 17:34:04 INFO server odoo.addons.website.tests.test_crawl:73 test_10_crawl_public public crawled 1 urls in 4.42s 410 queries, 4.425s 410.00q per request,
2019-03-08 17:34:37 INFO server odoo.addons.website.tests.test_crawl:83 test_20_crawl_demo demo crawled 60 urls in 32.56s 24091 queries, 0.543s 401.52q per request
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ERROR
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ERROR: test_30_crawl_admin (odoo.addons.website.tests.test_crawl.Crawler)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write Traceback (most recent call last):
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 377, in _make_request
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` httplib_response = conn.getresponse(buffering=True)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` TypeError: getresponse() got an unexpected keyword argument 'buffering'
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 379, in _make_request
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` httplib_response = conn.getresponse()
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` response.begin()
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 297, in begin
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` version, status, reason = self._read_status()
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/socket.py", line 575, in readinto
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self._sock.recv_into(b)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` socket.timeout: timed out
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/adapters.py", line 376, in send
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` timeout=timeout
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 610, in urlopen
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` _stacktrace=sys.exc_info()[2])
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 247, in increment
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise six.reraise(type(error), error, _stacktrace)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/six.py", line 686, in reraise
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise value
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 560, in urlopen
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` body=body, headers=headers)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 381, in _make_request
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 309, in _raise_timeout
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host='127.0.0.1', port=2020): Read timed out. (read timeout=10)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/addons/website/tests/test_crawl.py", line 89, in test_30_crawl_admin
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` seen = self.crawl('/', msg='admin')
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/addons/website/tests/test_crawl.py", line 41, in crawl
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` r = self.url_open(url)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 281, in url_open
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self.opener.get(url, timeout=timeout)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 492, in get
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self.request('GET', url, **kwargs)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 480, in request
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` resp = self.send(prep, **send_kwargs)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 588, in send
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` r = adapter.send(request, **kwargs)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise ReadTimeout(e, request=request)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write ` requests.exceptions.ReadTimeout: HTTPConnectionPool(host='127.0.0.1', port=2020): Read timed out. (read timeout=10)
2019-03-08 17:34:47 ERROR server odoo.addons.website.tests.test_crawl:474 write FAILED
2019-03-08 17:34:47 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.website.tests.test_crawl tested in 47.40s, 25497 queries
2019-03-08 17:34:47 ERROR server odoo.modules.module:518 run_unit_tests Module website: 0 failures, 1 errors
2019-03-08 17:34:48 ERROR server odoo.addons.website.models.ir_http:206 _handle_exception
500 Internal Server Error:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f9a6186f268>, 'website.assets_editor', 'ar_SY', True, False, None, False, False, (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_website_base_layout_3818
  File "<template>", line 2, in body_call_content_3817
  File "<template>", line 19, in set_3804
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 302, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 153, in to_node
    css_attachments = self.css() or []
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 310, in css
    self.save_attachment("css", ' '.join(page), inc=idx)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 257, in save_attachment
    attachment = ira.sudo().create(values)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09095-1246-3cea60/addons/dms/models/ir_attachment.py", line 20, in create
    number_ir_attachment = self.env['ir.sequence'].next_by_code('ir.attachment.seq')
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_sequence.py", line 282, in next_by_code
    seq_ids = self.search([('code', '=', sequence_code), ('company_id', 'in', [force_company, False])], order='company_id')
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View.get_view_id at 0x7f9a5aec0ea0>, 1, 'website_base.layout', (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 369, in get_template
    document = options.get('load', self.load)(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 85, in load
    template = env['ir.ui.view'].read_template(name)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1103, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-160>", line 2, in get_view_id
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo11/odoo/http.py", line 829, in dispatch
    r = self._call_function(**self.params)
  File "/opt/odoo/odoo11/odoo/http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/http.py", line 338, in checked_call
    result.flatten()
  File "/opt/odoo/odoo11/odoo/http.py", line 1269, in flatten
    self.response.append(self.render())
  File "/opt/odoo/odoo11/odoo/http.py", line 1262, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1208, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 113, in render
    return super(View, self).render(values, engine=engine)
  File "/opt/odoo/odoo11/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1217, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09095-1246-3cea60/addons/odoo_rtl/models/ir_qweb.py", line 20, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 272, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    raise e
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_1892_3792
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 348, in _compiled_fn
    element, document = self.get_template(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 373, in get_template
    raise QWebException("load could not load template", name=template)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: None
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f9a6186f268>, 'website.assets_editor', 'ar_SY', True, False, None, False, False, (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_website_base_layout_3818
  File "<template>", line 2, in body_call_content_3817
  File "<template>", line 19, in set_3804
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 302, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 153, in to_node
    css_attachments = self.css() or []
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 310, in css
    self.save_attachment("css", ' '.join(page), inc=idx)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 257, in save_attachment
    attachment = ira.sudo().create(values)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09095-1246-3cea60/addons/dms/models/ir_attachment.py", line 20, in create
    number_ir_attachment = self.env['ir.sequence'].next_by_code('ir.attachment.seq')
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_sequence.py", line 282, in next_by_code
    seq_ids = self.search([('code', '=', sequence_code), ('company_id', 'in', [force_company, False])], order='company_id')
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View.get_view_id at 0x7f9a5aec0ea0>, 1, 'website_base.layout', (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 369, in get_template
    document = options.get('load', self.load)(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 85, in load
    template = env['ir.ui.view'].read_template(name)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1103, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-160>", line 2, in get_view_id
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

load could not load template
Template: website_base.layout
2019-03-08 17:34:50 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/serving.py", line 209, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/serving.py", line 197, in execute
    application_iter = app(environ, start_response)
  File "/opt/odoo/odoo11/odoo/service/server.py", line 260, in app
    return self.app(e, s)
  File "/opt/odoo/odoo11/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/opt/odoo/odoo11/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1318, in __call__
    return self.dispatch(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1292, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/wsgi.py", line 600, in __call__
    return self.app(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1490, in dispatch
    result = ir_http._dispatch()
  File "/opt/odoo/odoo11/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/http_routing/models/ir_http.py", line 393, in _dispatch
    result = super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/utm/models/ir_http.py", line 26, in _dispatch
    response = super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/opt/odoo/odoo11/addons/website/models/ir_http.py", line 231, in _handle_exception
    html = request.env['ir.ui.view'].render_template('website.http_error', values)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1208, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "<decorator-gen-160>", line 2, in get_view_id
    
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.
2019-03-08 17:35:07 INFO runbot run Start running build 09095-1246-3cea60
2019-03-08 17:35:12 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 1.07s, 0 queries
2019-03-08 17:35:17 INFO server odoo.modules.loading:234 load_module_graph 173 modules loaded in 4.69s, 0 queries
2019-03-08 17:55:22 INFO runbot _ask_kill Killing build 09095-1246-3cea60, requested by Administrator (user #1)
2019-03-08 17:56:09 INFO runbot kill Kill build 09095-1246-3cea60